How to Migrate Easy Apache 3 to Easy Apache 4

How to Migrate Easy Apache 3 to Easy Apache 4

System Requirements for EasyApache4

Operating systems

EasyApache 4 supports the following operating systems:

  • CentOS 6 or 7
  • CloudLinux™ 6 or 7
  • Red Hat® Enterprise Linux® 6 or 7

Apache and PHP

  • EasyApache 4 only supports Apache version 2.4.
  • EasyApache 4 supports PHP versions 5.4, 5.5, 5.6, and 7.0.

Settings

You must activate the rpm_up setting if you install EasyApache 4 on your system. To do this, perform the following steps:

  • Open the /etc/cpupdate.conf file and set the RPMUP key’s value to daily.
  • In WHM’s Update Preferences interface (Home >> Server Configuration >> Update Preferences), set the Operating System Package Updates setting to Automatic.

The system enables these settings by default.

How to install EasyApache 4

To install EasyApache 4, perform the following steps on the command line as the root user:

  1. Run the following command:
    /scripts/migrate_ea3_to_ea4 --run
    
  2. The interface displays the changes that will occur. To continue, follow the system’s instructions.

How to uninstall EasyApache 4

To uninstall EasyApache 4, perform the following steps on the command line as the root user:

  1. To revert to EasyApache 3 from EasyApache 4, run the following command:
    /scripts/migrate_ea3_to_ea4 --revert --run
    
  2. Follow the system’s instructions
About the Author

Leave a Reply